Skip to main content
`Ctrl`+`K`

# DMRemoveLabel

Remove the label given by name from this `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMRemoveLabel(DM dm, const char name[], DMLabel *label)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

## Output Parameter

- label - The `DMLabel`, or `NULL` if the label is absent. Pass in `NULL` to call `DMLabelDestroy()` on the label, otherwise the caller is responsible for calling `DMLabelDestroy()`.

## See Also

DM Basics, `DM`, `DMLabel`, `DMCreateLabel()`, `DMHasLabel()`, `DMGetLabel()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMLabelDestroy()`, `DMRemoveLabelBySelf()`

## Level

developer

## Location

src/dm/interface/dm.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages